#!/bin/bash

# Exit immediately if a command exits with a non-zero status.
set -e

# Install Zed
echo "Installing Zed editor..."
curl -f https://zed.dev/install.sh | sh

# Add Zotero repository and install Zotero & Jurism
echo "Setting up Zotero and Jurism repositories..."
wget -qO- https://raw.githubusercontent.com/retorquere/zotero-deb/master/install.sh | sudo bash

echo "Updating package list..."
sudo apt update

echo "Installing Zotero..."
sudo apt install -y zotero

# Install and run Zen Browser using Flatpak
echo "Installing Zen Browser..."
# The -y flag automatically confirms the installation
flatpak install -y flathub app.zen_browser.zen

echo "Launching Zen Browser..."
flatpak run app.zen_browser.zen

echo "All tools have been installed and Zen Browser has been launched."